com.sun.jna.platform.win32

## Interface DdemlUtil.AdvdataHandler

- Enclosing class:
    DdemlUtil

      public static interface DdemlUtil.AdvdataHandler

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `onAdvdata(int transactionType, int dataFormat, Ddeml.HCONV hconv, Ddeml.HSZ topic, Ddeml.HSZ item, Ddeml.HDDEDATA hdata)` Informs the client that the value of the data item has changed.

- - ### Method Detail

    - #### onAdvdata

          int onAdvdata(int transactionType,
                        int dataFormat,
                        Ddeml.HCONV hconv,
                        Ddeml.HSZ topic,
                        Ddeml.HSZ item,
                        Ddeml.HDDEDATA hdata)

      Informs the client that the value of the data item has changed. The Dynamic Data Exchange (DDE) client callback function, DdeCallback, receives this transaction after establishing an advise loop with a server.
      Parameters:
        `transactionType` - uType - The transaction type.
        `dataFormat` - uFmt - The format atom of the data sent from the server.
        `hconv` - A handle to the conversation.
        `topic` - hsz1 - A handle to the topic name.
        `item` - hsz2 - A handle to the item name.
        `hdata` - A handle to the data associated with the topic name and item name pair. This parameter is NULL if the client specified the XTYPF_NODATA flag when it requested the advise loop.
      Returns:
        A DDE callback function should return DDE_FACK if it processes this transaction, DDE_FBUSY if it is too busy to process this transaction, or DDE_FNOTPROCESSED if it rejects this transaction.

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.